WP42StylesListener Class Reference documentation

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
WP42StylesListener Class Reference

`#include <WP42StylesListener.h>`

Inheritance diagram for WP42StylesListener:

## Public Member Functions
| WP42StylesListener (std::list< WPXPageSpan > &pageList)
void | startDocument () override
void | startSubDocument () override
void | insertCharacter (unsigned) override
void | insertTab (unsigned char, double) override
void | insertEOL () override
void | insertBreak (unsigned char breakType) override
void | attributeChange (bool, unsigned char) override
void | marginReset (unsigned char, unsigned char) override
void | headerFooterGroup (unsigned char headerFooterDefinition, const std::shared_ptr< WP42SubDocument > &subDocument) override
void | suppressPageCharacteristics (unsigned char suppressCode) override
void | endDocument () override
void | endSubDocument () override
Public Member Functions inherited from WP42Listener
| WP42Listener ()
virtual | ~WP42Listener ()
virtual void | startDocument ()=0
virtual void | startSubDocument ()=0
virtual void | insertCharacter (unsigned character)=0
virtual void | insertTab (unsigned char tabType, double tabPosition)=0
virtual void | insertBreak (unsigned char breakType)=0
virtual void | insertEOL ()=0
virtual void | attributeChange (bool isOn, unsigned char attribute)=0
virtual void | marginReset (unsigned char leftMargin, unsigned char rightMargin)=0
virtual void | headerFooterGroup (unsigned char headerFooterDefinition, const std::shared_ptr< WP42SubDocument > &subDocument)=0
virtual void | suppressPageCharacteristics (unsigned char suppressCode)=0
virtual void | endDocument ()=0
virtual void | endSubDocument ()=0

## Protected Member Functions
void | _handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, int nextTableIndice=0)
Protected Member Functions inherited from WPXStylesListener
| WPXStylesListener (std::list< WPXPageSpan > &pageList)
| ~WPXStylesListener () override
Protected Member Functions inherited from WPXListener
| WPXListener (std::list< WPXPageSpan > &pageList)
virtual | ~WPXListener ()
bool | isUndoOn ()
void | setUndoOn (bool isOn)

## Private Attributes
WPXPageSpan | m_currentPage
WPXPageSpan | m_nextPage
double | m_tempMarginLeft
double | m_tempMarginRight
bool | m_currentPageHasContent
bool | m_isSubDocument
std::list< WPXPageSpan >::iterator | m_pageListHardPageMark

## Additional Inherited Members
Protected Attributes inherited from WPXListener
std::list< WPXPageSpan > & | m_pageList

## Constructor & Destructor Documentation

## ◆ WP42StylesListener()

WP42StylesListener::WP42StylesListener | ( | std::list< WPXPageSpan > & | pageList | ) |
| explicit

## Member Function Documentation

## ◆ _handleSubDocument()

void WP42StylesListener::_handleSubDocument | ( | const WPXSubDocument * | subDocument,
|  | WPXSubDocumentType | subDocumentType,
|  | WPXTableList | tableList,
|  | int | nextTableIndice = `0`
| ) |  |
| protected

Referenced by headerFooterGroup(), and insertBreak().

## ◆ attributeChange()

void WP42StylesListener::attributeChange | ( | bool | ,
|  | unsigned char |
| ) |  |
| inlineoverridevirtual

Implements WP42Listener.

## ◆ endDocument()

void WP42StylesListener::endDocument | ( |  | ) |
| overridevirtual

Implements WP42Listener.

## ◆ endSubDocument()

void WP42StylesListener::endSubDocument | ( |  | ) |
| overridevirtual

Implements WP42Listener.

Referenced by WP42Parser::parseSubDocument().

## ◆ headerFooterGroup()

void WP42StylesListener::headerFooterGroup | ( | unsigned char | headerFooterDefinition,
|  | const std::shared_ptr< WP42SubDocument > & | subDocument
| ) |  |
| overridevirtual

Implements WP42Listener.

## ◆ insertBreak()

void WP42StylesListener::insertBreak | ( | unsigned char | breakType | ) |
| overridevirtual

Implements WP42Listener.

Referenced by endDocument(), and endSubDocument().

## ◆ insertCharacter()

void WP42StylesListener::insertCharacter | ( | unsigned |  | ) |
| inlineoverridevirtual

Implements WP42Listener.

## ◆ insertEOL()

void WP42StylesListener::insertEOL | ( |  | ) |
| inlineoverridevirtual

Implements WP42Listener.

## ◆ insertTab()

void WP42StylesListener::insertTab | ( | unsigned char | ,
|  | double |
| ) |  |
| inlineoverridevirtual

Implements WP42Listener.

## ◆ marginReset()

void WP42StylesListener::marginReset | ( | unsigned char | ,
|  | unsigned char |
| ) |  |
| inlineoverridevirtual

Implements WP42Listener.

## ◆ startDocument()

void WP42StylesListener::startDocument | ( |  | ) |
| inlineoverridevirtual

Implements WP42Listener.

## ◆ startSubDocument()

void WP42StylesListener::startSubDocument | ( |  | ) |
| inlineoverridevirtual

Implements WP42Listener.

Referenced by WP42Parser::parseSubDocument().

## ◆ suppressPageCharacteristics()

void WP42StylesListener::suppressPageCharacteristics | ( | unsigned char | suppressCode | ) |
| overridevirtual

Implements WP42Listener.

## Member Data Documentation

## ◆ m_currentPage

WPXPageSpan WP42StylesListener::m_currentPage
| private

Referenced by headerFooterGroup(), insertBreak(), and suppressPageCharacteristics().

## ◆ m_currentPageHasContent

bool WP42StylesListener::m_currentPageHasContent
| private

Referenced by _handleSubDocument(), headerFooterGroup(), insertBreak(), insertCharacter(), insertEOL(), and insertTab().

## ◆ m_isSubDocument

bool WP42StylesListener::m_isSubDocument
| private

Referenced by _handleSubDocument(), and insertBreak().

## ◆ m_nextPage

WPXPageSpan WP42StylesListener::m_nextPage
| private

Referenced by headerFooterGroup(), and insertBreak().

## ◆ m_pageListHardPageMark

std::list<WPXPageSpan>::iterator WP42StylesListener::m_pageListHardPageMark
| private

Referenced by insertBreak().

## ◆ m_tempMarginLeft

double WP42StylesListener::m_tempMarginLeft
| private

Referenced by insertBreak().

## ◆ m_tempMarginRight

double WP42StylesListener::m_tempMarginRight
| private

Referenced by insertBreak().

The documentation for this class was generated from the following files:

- WP42StylesListener.h
- WP42StylesListener.cpp